IRPCVaultLoginsAdmin.ModifyVaultLogin

View as Markdown

Administration API / specialized admin session idempotent

Changes the server roles, password, full name, email address or license type of a vault login.

ServiceVault login accounts MFiles.IRPCVaultLoginsAdmin
gRPC method/MFiles.IRPCVaultLoginsAdmin/ModifyVaultLogin
HTTP (mf-http-grpc)POST /grpc/v1/modify-vault-login
RequestModifyVaultLoginRequest
ResponseModifyVaultLoginResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: ModifyVaultLoginRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
account_namestringThe account name of the login to modify.
srvrolesSRVROLESThe new server roles of the login. system_administrator is not allowed.
srvroles.allboolSpecifies all flags set; Including any future flags.
srvroles.system_administratorboolSystem administrator (can perform any operation on the server). [ name( "vaultCreator" ) ] const SRVROLES SRVROLE_VAULT_CREATOR = ( 1 << 1 ); //!< Can create, modify and delete vaults. Can also restore vaults. [ name( "backupOperator" ) ] const SRVROLES SRVROLE_BACKUP_OPERATOR = ( 1 << 2 ); //!< Can back up vaults.
srvroles.can_log_inboolCan log in. A login that does not have this role is disabled and cannot log in even if the login has the sysadmin role.
srvroles.invalid_passwordboolThis special role indicates that the M-Files login does not yet have a valid password. MFAdmin uses this flag to force the user to define the password.
change_passwordboolTrue to set the password from password_info.
password_hashstringLegacy field. Leave empty and use password_info.
password_infoPasswordInfoThe new encrypted password hash. Used only with change_password.
password_info.hashstringPassword hash.
password_info.hash_algorithmPasswordHashAlgorithmPassword hash algorithm.Values: PASSWORD_HASH_ALGORITHM_MD5 (0), PASSWORD_HASH_ALGORITHM_UNDEFINED (1), PASSWORD_HASH_ALGORITHM_PBKDF2_WITH_SHA512_AND100000_ITERS (2).
password_info.saltstringPassword salt.
password_info.encryptionPasswordEncryptionEncryption algorithm used to protect the password hash.Values: PASSWORD_ENCRYPTION_RC4 (0), PASSWORD_ENCRYPTION_UNENCRYPTED (1), PASSWORD_ENCRYPTION_AES256 (2).
update_other_fieldsboolTrue to set full_name, email_address and licensetype.
full_namestringThe full name of the account.
email_addressstringThe email address of the account.
licensetypeLicenseTypeThe new license type. Used only with update_other_fields.Values: LICENSE_TYPE_NONE (0), LICENSE_TYPE_NAMED_USER_LICENSE (1), LICENSE_TYPE_CONCURRENT_USER_LICENSE (2), LICENSE_TYPE_READ_ONLY_LICENSE (3), LICENSE_TYPE_VISITOR_LICENSE (4).
update_client_idboolIgnored.
client_idstringIgnored.

Response: ModifyVaultLoginResponse

No fields.